%% We use the memoir class because it offers a many easy to use features.
%\documentclass[11pt,a4paper,oneside]{memoir}
\documentclass[11pt,a4paper,oneside]{scrreprt}
%% Packages
%% ========

%% LaTeX Font encoding -- DO NOT CHANGE
\usepackage[sc]{mathpazo}
\usepackage[T1]{fontenc}

%% Babel provides support for languages.  'english' uses British
%% English hyphenation and text snippets like "Figure" and
%% "Theorem". Use the option 'ngerman' if your document is in German.
%% Use 'american' for American English.  Note that if you change this,
%% the next LaTeX run may show spurious errors.  Simply run it again.
%% If they persist, remove the .aux file and try again.
\usepackage[english]{babel}


%% The AMS-LaTeX extensions for mathematical typesetting.  Do not
%% remove.
\usepackage{amsmath,amssymb,amsfonts,mathrsfs}

%% NTheorem is a reimplementation of the AMS Theorem package. This
%% will allow us to typeset theorems like examples, proofs and
%% similar.  Do not remove.
%% NOTE: Must be loaded AFTER amsmath, or the \qed placement will
%% break
\usepackage[amsmath,thmmarks]{ntheorem}

%% LaTeX' own graphics handling
\usepackage{graphicx}

%% We unfortunately need this for the Rules chapter.  Remove it
%% afterwards; or at least NEVER use its underlining features.
\usepackage{soul}

%% This allows you to add .pdf files. It is used to add the
%% declaration of originality.
\usepackage{pdfpages}

\usepackage{import}
\usepackage{float}
\usepackage{tikz}
\usetikzlibrary{shapes}
\usetikzlibrary{intersections}
\usetikzlibrary{calc}
\usepackage{pifont}
\usepackage{multicol}
\usepackage{rotating}
\usepackage{multirow}
\usepackage{hyphenat}

%sets figures to be in the same section, but floating at the top or bottom of a page
%http://tex.stackexchange.com/questions/140568/how-to-set-default-positioning-of-figure-table-document-wide
\makeatletter
  \providecommand*\setfloatlocations[2]{\@namedef{fps@#1}{#2}}
\makeatother
\setfloatlocations{figure}{!htb}
\setfloatlocations{table}{!htb}



%% Some more packages that you may want to use.  Have a look at the
%% file, and consult the package docs for each.
\input{extrapackages}

%% Our layout configuration.  DO NOT CHANGE.
%\input{layoutsetup}

%% Theorem environments.  You will have to adapt this for a German
%% thesis.
\input{theoremsetup}

%% Helpful macros.
\input{macrosetup}


%% Make document internal hyperlinks wherever possible. (TOC, references)
%% This MUST be loaded after varioref, which is loaded in 'extrapackages'
%% above.  We just load it last to be safe.
\usepackage[hidelinks]{hyperref}

\newcommand{\osim}{\mathord{\sim}}


%%%tikz stuff
\tikzstyle{state}=[shape=circle,draw=red!50,fill=red!20]
\tikzstyle{ins}=[shape=diamond,draw=blue!50,fill=blue!20]
\tikzstyle{observation}=[shape=rectangle,draw=orange!50,fill=orange!20]
\tikzstyle{lightedge}=[<-,dashed]
\tikzstyle{mainstate}=[state,thick]
\tikzstyle{mainedge}=[<-,thick]
\tikzstyle{nedge}=[<-]

%center contents of figure environments
\makeatletter
\g@addto@macro\@floatboxreset\centering
\makeatother

\usepackage{csquotes}


\usepackage[sorting=none,backend=biber,url=false,isbn=false,eprint=false,natbib=true,style=nature,autocite=superscript]{biblatex}
\bibliography{refs/PhDTalk,refs/labRotation_zotero,refs/labRotation_references,refs/supplementRefs}

\newcommand{\uniprot}[1] {%
\href{https://www.uniprot.org/uniprot/#1}{#1}}

\AtBeginDocument{\renewcommand{\bibname}{Additional references}}

\def \figwidthratio {0.85}
\def \fighalfwidth {0.45}

\setcapindent{0pt}

\newcounter{secstr}
\renewcommand{\thesecstr}{Secondary structure}

%\DeclareFieldFormat{labelnumber}{%
%  \ifinteger{#1}
%    {foo \number\numexpr#1+18\relax}
%    {bar #1}}
		
\DeclareFieldFormat{labelnumber}{%
\number\numexpr#1+18\relax}

\begin{document}
\renewcommand{\thefigure}{\arabic{figure}}
\renewcommand{\figurename}{Supplementary Figure}
\setcounter{figure}{7}

% Activate for paper supplement
% \nocite{Mermershtain2011,Huynen2013,Harms1999,Feliu1998,Bailey2001,Alcala2003,Charbit1986,Charbit1991,Xiao2015,Martineau1992,Narberhaus2003,Anton2004,Kumar1991,Wang2009,Jiang2013,Silva-Rocha2013}
\setcounter{page}{12} 
\input{methods}

%\printbibliography

\end{document}